<!-- footer section start -->
<?php
    $policies = getContent('policy_pages.element');
    $footer = getContent('footer.content', true);
    $footerElement = getContent('footer.element', false, null, true);
    $links = getContent('short_links.element', false, null, true);
    $subscriber = getContent('subscribe.content', true);
    $socials = getContent('social_icon.element');
?>
<footer class="footer <?php if(request()->routeIs('home') || request()->routeIs('category') || request()->routeIs('subCategory') || request()->routeIs('search')): ?> d-none <?php endif; ?>">
    <div class="footer__top">
        <div class="container">
            <div class="row mb-none-30">
                <div class="col-lg-4 col-sm-8 mb-50">
                    <div class="footer-widget">
                        <a href="<?php echo e(route('home')); ?>"><img class="mb-4" src="<?php echo e(siteLogo()); ?>" alt="image"></a>
                        <p><?php echo e(__(@$footer->data_values->about_us)); ?></p>
                        <ul class="social-links mt-3">
                            <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(@$social->data_values->url); ?>" target="_blank"><?php echo @$social->data_values->social_icon ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-2 col-sm-4 mb-50">
                    <div class="footer-widget">
                        <h4 class="footer-widget__title"><?php echo app('translator')->get('Short Links'); ?></h4>
                        <ul class="link-list">
                            <?php $__currentLoopData = $links; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <a href="<?php echo e(route('links', $link->slug)); ?>"><?php echo e(__($link->data_values->title)); ?></a>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-2 col-sm-4 mb-50">
                    <div class="footer-widget">
                        <h4 class="footer-widget__title"><?php echo app('translator')->get('Category'); ?></h4>
                        <ul class="link-list">
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(route('category', $category->id)); ?>"><?php echo e(__($category->name)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div><!-- footer-widget end -->
                </div>
                <div class="col-lg-4 col-sm-8 mb-50">
                    <div class="footer-widget">
                        <h4 class="footer-widget__title"><?php echo e(__(@$footer->data_values->subscribe_title)); ?></h4>
                        <p><?php echo e(__(@$footer->data_values->subscribe_subtitle)); ?></p>
                        <form class="subscribe-form mt-3">
                            <?php echo csrf_field(); ?>
                            <input name="email" type="email" placeholder="<?php echo app('translator')->get('Email Address'); ?>">
                            <button type="submit"><i class="fas fa-paper-plane"></i></button>
                        </form>
                        <div class="download-links">
                            <?php $__currentLoopData = $footerElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $footer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a class="download-links__item" href="<?php echo e(@$footer->data_values->link); ?>" target="_blank">
                                    <img src="<?php echo e(frontendImage('footer', @$footer->data_values->store_image, '150x45')); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                                </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer__bottom">
        <div class="container">
            <div class="row gy-4">
                <div class="col-md-6">
                    <div class="d-flex justify-content-center justify-content-lg-between">
                        <p><?php echo app('translator')->get('Copyright'); ?> &copy; <?php echo date('Y') ?> <?php echo app('translator')->get('All Rights Reserved By '); ?>
                            <a href="<?php echo e(route('home')); ?>" class="base--color"><?php echo e(__(gs('site_name'))); ?></a>
                        </p>
                    </div>
                </div>
                <div class="col-md-6">
                    <ul class="links justify-content-md-end justify-content-around">
                        <?php $__currentLoopData = $policies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><a href="<?php echo e(route('policy.pages', $policy->slug)); ?>"><?php echo e(__(@$policy->data_values->title)); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</footer>

<div class="modal alert-modal" id="alertModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <span class="alert-icon"><i class="fas fa-question-circle"></i></span>
                <p class="modal-description"><?php echo app('translator')->get('Subscription Alert!'); ?></p>
                <p class="modal--text"><?php echo app('translator')->get('Please subscribe a plan to view our paid items'); ?></p>
            </div>
            <div class="modal-footer">
                <button class="btn btn--dark btn--sm" data-bs-dismiss="modal" type="button"><?php echo app('translator')->get('Cancel'); ?></button>
                <a class="btn btn--base btn--sm" href="<?php echo e(route('subscription')); ?>"><?php echo app('translator')->get('Subscribe Now'); ?></a>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/l0r3ghjlih6t/public_html/worldstreamings.com/core/resources/views/templates/labflix/partials/footer.blade.php ENDPATH**/ ?>