<?php $__env->startSection('content'); ?>
    <?php
        $banner_content = getContent('banner.content', true);
        $games = App\Models\Game::active()->whereDate('start_time', today())->limit(10)->get();
        $reels = App\Models\Reel::orderBy('id', 'desc')->limit(10)->get();
    ?>
    <?php if($advertise && !auth()->id()): ?>
        <div class="modal" id="adModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true"">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-body position-relative p-0">
                        <div class="ads-close-btn position-absolute">
                            <button class="btn-close btn-close-white" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                        </div>
                        <a href="<?php echo e($advertise->content->link); ?>" target="_blank">
                            <img src="<?php echo e(getImage(getFilePath('ads') . '/' . @$advertise->content->image)); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                        </a>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>

    <section class="hero">
        <div class="hero__slider">
            <?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $slider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($slider->caption_show != 1): ?>
                    <div class="single-slide">
                        <a href="<?php echo e(route('watch', $slider->item->slug)); ?>">
                            <img src="<?php echo e(getImage(getFilePath('slider') . '/' . $slider->image)); ?>" alt="hero-image">
                        </a>
                    </div>
                <?php else: ?>
                    <div class="movie-slide bg_img" data-background="<?php echo e(getImage(getFilePath('slider') . '/' . $slider->image)); ?>">
                        <div class="movie-slide__content">
                            <h2 class="movie-name" data-animation="fadeInUp" data-delay=".2s"><?php echo e(__($slider->item->title)); ?></h2>
                            <ul class="movie-meta justify-content-lg-start justify-content-center" data-animation="fadeInUp" data-delay=".4s">
                                <li><i class="fas fa-star color--glod"></i> <span>(<?php echo e(__($slider->item->ratings)); ?>)</span></li>
                                <li><span><?php echo e(__($slider->item->category->name)); ?></span></li>
                            </ul>
                            <p data-animation="fadeInUp" data-delay=".7s"><?php echo e(__($slider->item->preview_text)); ?></p>
                            <div class="btn-area justify-content-lg-start justify-content-center align-items-center mt-lg-5 mt-sm-3 mt-2" data-animation="fadeInLeft" data-delay="1s">
                                <?php if(@$slider->item->is_trailer == Status::TRAILER && @$slider->item->item_type == Status::SINGLE_ITEM): ?>
                                    <a class="video-btn justify-content-lg-start justify-content-center" href="<?php echo e(route('watch', $slider->item->slug)); ?>">
                                        <div class="icon"><i class="fas fa-play"></i></div>
                                        <span><?php echo app('translator')->get('Watch Trailer'); ?></span>
                                    </a>
                                <?php else: ?>
                                    <a class="video-btn justify-content-lg-start justify-content-center" href="<?php echo e(route('watch', $slider->item->slug)); ?>">
                                        <div class="icon">
                                            <i class="fas fa-play"></i>
                                        </div>
                                        <span><?php echo app('translator')->get('Watch Now'); ?></span>
                                    </a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </section>


    <?php echo $__env->make($activeTemplate . 'partials.short_reels', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->make($activeTemplate . 'partials.today_games', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <section class="section pt-80 pb-80" data-section="single1">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="section-header">
                        <h2 class="section-title"><?php echo app('translator')->get('Featured Items'); ?></h2>
                    </div>
                </div>
            </div><!-- row end -->
            <div class="movie-slider-one">
                <?php $__currentLoopData = $featuredMovies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $featured): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="movie-card" data-text="<?php echo e($featured->versionName); ?>">
                        <div class="movie-card__thumb">
                            <img class="lazy-loading-img" data-src="<?php echo e(getImage(getFilePath('item_portrait') . '/' . @$featured->image->portrait)); ?>" src="<?php echo e(asset('assets/global/images/lazy.png')); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                            <a class="icon" href="<?php echo e(route('watch', $featured->slug)); ?>"><i class="fas fa-play"></i></a>
                        </div>
                        <div class="movie-card__content">
                            <h6><a href="<?php echo e(route('watch', $featured->slug)); ?>"><?php echo e(__(short_string($featured->title, 17))); ?></a></h6>
                            <ul class="movie-card__meta">
                                <li><i class="far fa-eye color--primary"></i> <span><?php echo e(numFormat($featured->view)); ?></span></li>
                                <li><i class="fas fa-star color--glod"></i> <span>(<?php echo e($featured->ratings); ?>)</span></li>
                            </ul>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>

    <div class="sections"></div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";


        $(document).ready(function() {
            setTimeout(() => {
                $("#adModal").modal('show');
            }, 2000);
        });

        var send = 0;
        $(window).scroll(function() {
            if ($(window).scrollTop() + $(window).height() > $(document).height() - 60) {

                if ($('.section').hasClass('last-item')) {
                    $('.loading').removeClass('loader');
                    return false;
                }

                $('.loading').addClass('loader');
                setTimeout(function() {
                    if (send == 0) {
                        send = 1;
                        var sec = $('.section').last().data('section');
                        var url = "<?php echo e(route('get.section')); ?>";
                        var data = {
                            sectionName: sec
                        };
                        $.get(url, data, function(response) {
                            if (response == 'end') {
                                $('.section').last().addClass('last-item');
                                $('.loading').removeClass('loader');
                                $('.footer').removeClass('d-none');
                                return false;
                            }
                            $('.loading').removeClass('loader');
                            $('.sections').append(response);
                            send = 0;
                        });
                    }
                }, 1000)
            }

            let images = document.querySelectorAll('.lazy-loading-img');

            function preloadImage(image) {
                const src = image.getAttribute('data-src');
                image.src = src;
            }

            let imageOptions = {
                threshold: 1,
                border: "5px solid green",
            };

            const imageObserver = new IntersectionObserver((entries, imageObserver) => {
                entries.forEach(entry => {
                    if (!entry.isIntersecting) {
                        return;
                    } else {
                        preloadImage(entry.target)
                        imageObserver.unobserve(entry.target)
                    }
                })
            }, imageOptions)
            images.forEach(image => {
                imageObserver.observe(image)
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/global/css/plyr.min.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/global/js/plyr.min.js')); ?>"></script>
    <script src="https://cdn.plyr.io/3.6.8/plyr.polyfilled.js"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        const controls = [
            'play-large',
        ];

        let players = Plyr.setup('.video-player', {
            controls,
            autoplay: false,
            ratio: '9:16'
        });

        players.forEach((player, index) => {
            player.on('mouseenter', () => {
                players.forEach((p, i) => {
                    if (i !== index) {
                        p.pause();
                    }
                });
                player.muted = true;
                player.play().catch(error => {
                    console.log('Playback prevented by the browser.', error);
                });
            });

            player.on('mouseleave', () => {
                player.pause();
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/worldstreamings.com/core/resources/views/templates/labflix/home.blade.php ENDPATH**/ ?>